# Orders

Orders

 - [GET /orders/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listorders.md): This method will scan all orders and and return them to the caller.
 - [POST /orders/{tenantId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processorder.md): This method will auto-generate an ID and create a new order. If an ID is specified for the order, an error will be thrown.
 - [POST /orders/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /orders/{tenantId}/billToContact/{bill_to_contact_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbybilltocontactid.md): Returns a list of records with the specified bill_to_contact_id
 - [GET /orders/{tenantId}/billToOrganization/{bill_to_organization_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbybilltoorganizationid.md): Returns a list of records with the specified bill_to_organization_id
 - [POST /orders/{tenantId}/checkEligibility/{customerType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/checkeligibility.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options
 - [POST /orders/{tenantId}/checkPrice/{customerType}/{billToId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/checkprice.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options
 - [POST /orders/{tenantId}/close/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/closeorder.md): Closes an order
 - [GET /orders/{tenantId}/coupon/{coupon_type}/{coupon_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbycouponid.md): Returns a list of records with the specified coupon_id
 - [GET /orders/{tenantId}/couponCodeUsages/{coupon_code_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listcouponcodeusagesbycouponcode.md): Returns a list of records with the specified coupon_code_id
 - [GET /orders/{tenantId}/couponUsages/{coupon_type}/{coupon_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listcouponusagesbycoupon.md): Returns a list of records with the specified coupon id
 - [GET /orders/{tenantId}/customer/{customerType}/{customerId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbycustomer.md): Includes orders where ship to
 - [GET /orders/{tenantId}/installmentSchedule/{installment_schedule_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyinstallmentscheduleid.md): Returns a list of records with the specified installment_schedule_id
 - [GET /orders/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersforportal.md): This method will scan all orders and and return them to the caller for a given contact.
 - [GET /orders/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getorderforportal.md): This method will look up a order by the specified ID and return it back (for a portal contact)
 - [GET /orders/{tenantId}/portal/organization/{portalOrganizationId}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersforportalbyorganization.md): This method will scan all orders and and return them to the caller for a given organization.
 - [GET /orders/{tenantId}/portal/organization/{portalOrganizationId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getorderforportal.md): This method will look up a order by the specified ID and return it back (for a portal organization)
 - [POST /orders/{tenantId}/preview](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworder.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options
 - [POST /orders/{tenantId}/previewOrderConfirmationEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworderconfirmationemail.md): Sends out a preview of the CRC notification email
 - [POST /orders/{tenantId}/previewProductConfirmationEmail](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previewproductconfirmationemail.md): Sends out a preview of the CRC notification email
 - [POST /orders/{tenantId}/previewWithOverride](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworderwithoverride.md): This is designed to be run by administrators; allows an order to e previewed but have prices or quantities overridden
 - [POST /orders/{tenantId}/processWithOverride](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processorderwithoverride.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden
 - [POST /orders/{tenantId}/processWithOverride/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processorderwithoverridesync.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden
 - [POST /orders/{tenantId}/public/checkAvailability](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getmerchandiseavailability.md): Takes in merchandise and determines it's availability
 - [POST /orders/{tenantId}/public/describeProducts](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/describeproducts.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options
 - [POST /orders/{tenantId}/public/preview](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/previeworder.md): This method takes in an order that has not yet been placed, and returns information about order pricing and available options
 - [POST /orders/{tenantId}/retroactivelyApplyCoupon](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/retroactivelyapplycoupontoorder.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden
 - [POST /orders/{tenantId}/retroactivelyApplyCoupon/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/retroactivelyapplycoupontoordersync.md): This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden
 - [POST /orders/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/searchfororders.md): Searches for orders using predefined parameters
 - [GET /orders/{tenantId}/shipToContact/{ship_to_contact_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyshiptocontactid.md): Returns a list of records with the specified ship_to_contact_id
 - [GET /orders/{tenantId}/shipToOrganization/{ship_to_organization_id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyshiptoorganizationid.md): Returns a list of records with the specified ship_to_organization_id
 - [GET /orders/{tenantId}/shippable/status/{status}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listshippableordersbystatus.md): Returns a list of shippable orders with the specified status
 - [GET /orders/{tenantId}/shippableStatus/{shippable_status}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/listordersbyshippablestatus.md): Returns a list of records with the specified shippable_status
 - [POST /orders/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/processordersync.md): This method will auto-generate an ID and create a new order. If an ID is specified for the order, an error will be thrown.
 - [POST /orders/{tenantId}/void/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/voidorder.md): This method voids an order
 - [DELETE /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/deleteorder.md): This method will delete a order with the specified ID.
 - [GET /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/getorder.md): This method will look up a order by the specified ID and return it back.
 - [PATCH /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/patchorder.md): This method will patch an existing order with the specified ID, using the HTTP PATCH specification.
 - [PUT /orders/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/commerce/commerce-v1/orders/updateorder.md): This method will update an existing order with the specified ID.
